<template>
  <v-breadcrumbs large :items="descendantsAndSelf">
    <template #divider>
      <v-icon>mdi-chevron-right</v-icon>
    </template>

    <template #item="{ item }">
      <v-breadcrumbs-item
        nuxt
        link
        :to="item.to"
        :disabled="disableItem(item)"
      >
        {{ title(item) }}
      </v-breadcrumbs-item>
    </template>
  </v-breadcrumbs>
</template>

<script>
import { mapGetters, mapState } from 'vuex';
import { withZeros } from '~/helpers/format/ids';

export default {
  name: 'Breadcrumb',
  computed: {
    ...mapState({
      currentPage: state => state.route.pages.currentPage,
    }),
    ...mapGetters({
      descendantsAndSelf: 'route/pages/currentDescendantsAndSelf',
    }),
  },
  methods: {
    title(item) {
      return !item.fromRouter ? item.name : withZeros({ id: this.$route.params[item.fromRouter] });
    },
    disableItem(item) {
      return item.id === this.currentPage || !item.parent;
    },
  },
};
</script>
